## org.apache.lucene.search.spell
Class TermFreqIterator.TermFreqIteratorWrapper

    java.lang.Object
      org.apache.lucene.search.spell.TermFreqIterator.TermFreqIteratorWrapper

All Implemented Interfaces:
  Iterator<String>, TermFreqIterator

Enclosing interface:
  TermFreqIterator

    public static class TermFreqIterator.TermFreqIteratorWrapper

extends Object
implements TermFreqIterator

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.lucene.search.spell.TermFreqIterator
`TermFreqIterator.TermFreqIteratorWrapper`

Constructor Summary
`TermFreqIterator.TermFreqIteratorWrapper(Iterator<String> wrapped)`

Method Summary
`float` `freq()`
`boolean` `hasNext()`
`String` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermFreqIterator.TermFreqIteratorWrapper

    public TermFreqIterator.TermFreqIteratorWrapper(Iterator<String> wrapped)

Method Detail

### freq

    public float freq()

  Specified by:
    `freq` in interface `TermFreqIterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<String>`

### next

    public String next()

  Specified by:
    `next` in interface `Iterator<String>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<String>`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.